Skip to main content
GET
/
v1
/
files
/
{file_id}
// GET https://api.signatureapi.com/v1/files/{file_id}
// X-API-Key: key_test_...
// HTTP Status Code 200

{
  "id": "fil_0nZXZ8pYPByQ4XksJbDl4r",
  "expires_at": "2025-12-31T20:00:00.000Z"
}
The File resource and the /v1/files endpoint have been replaced by the Upload resource. New integrations should use Uploads:
Retrieves the details of an existing file, including its expiration time.

Path Parameters

file_id
string
required
The unique identifier of the file.

Returns

Returns a 200 OK status code along with a file object if the file exists, or an error otherwise.
// GET https://api.signatureapi.com/v1/files/{file_id}
// X-API-Key: key_test_...
// HTTP Status Code 200

{
  "id": "fil_0nZXZ8pYPByQ4XksJbDl4r",
  "expires_at": "2025-12-31T20:00:00.000Z"
}